---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: kszkepzes-frontend
  namespace: devteam-kszk-bme-hu
spec:
  replicas: 1
  selector:
    matchLabels:
      app: kszkepzes-frontend
  template:
    metadata:
      labels:
        app: kszkepzes-frontend
    spec:
      containers:
        - name: kszkepzes-frontend
          image: registry.kszk.bme.hu/kszk/devteam/kszkepzes-frontend:##IMAGETAG##
          imagePullPolicy: 'Always'
          ports:
            - containerPort: 3000
      imagePullSecrets:
        - name: kszkepzes-regcred
